import request from '@/static/api/request.js';
import md5 from "@/static/utils/md5.js";

//初始化app
export function initApp() {
	let time = parseInt(new Date().getTime() / 1000);
	let ctime = time.toString(16);
	let data = {
		hextime: ctime,
		token: md5.hex_md5(time + ctime).toLowerCase()
	}

	return request({
		url: 'config.initApp',
		method: 'POST',
		data: data
	})
}

//加密
export function getMcryptKey() {
	let time = parseInt(new Date().getTime() / 1000);
	let ctime = time.toString(16);
	let data = {
		hextime: ctime,
		token: md5.hex_md5(time + ctime).toLowerCase()
	}

	return request({
		url: 'config.getMcryptKey',
		method: 'POST',
		data: data
	})
}

//科目分类
export function getSubject() {
	let time = parseInt(new Date().getTime() / 1000);
	let ctime = time.toString(16);
	let data = {
		hextime: ctime,
		token: md5.hex_md5(time + ctime).toLowerCase()
	}

	return request({
		url: 'config.getSubject',
		method: 'POST',
		data: data
	})
}

//首页
export function getIndex() {
	return request({
		url: 'home.index',
		method: 'GET'
	})
}
//首页2
export function getIndex2() {
	return request({
		url: 'home.index2',
		method: 'GET'
	})
}
//首页4
export function getIndex4(data) {
	return request({
		url: 'home.index4',
		method: 'GET',
		data
	})
}
//首页5
export function getIndex5(data) {
	return request({
		url: 'home.index5',
		method: 'GET',
		data
	})
}

//论文页
export function getThesis(data) {
	return request({
		url: 'home.thesis',
		method: 'GET',
		data
	})
}
export function getThesis2() {
	return request({
		url: 'home.thesis2',
		method: 'GET',
	})
}

//分类专业
export function getCateIndex(data) {
	return request({
		url: 'home.cateIndex',
		method: 'GET',
		data: data
	})
}

//广告
export function getAdvert(data) {
	return request({
		url: 'home.advert',
		method: 'POST',
		data: data
	})
}

//xdata配置数据
export function getXdata(data) {
	return request({
		url: 'basic.getXdata',
		method: 'GET',
		data: data
	})
}

//单页数据
export function getSingle(data) {
	return request({
		url: 'basic.getSingle',
		method: 'GET',
		data: data
	})
}

//省市区
export function getArea(data) {
	let time = parseInt(new Date().getTime() / 1000);
	let ctime = time.toString(16);

	data = Object.assign(data, {
		hextime: ctime,
		token: md5.hex_md5(time + ctime).toLowerCase()
	})
	return request({
		url: 'config.getArea',
		method: 'GET',
		data: data
	})
}

//站点配置
export function getSiteConfig() {
	let time = parseInt(new Date().getTime() / 1000);
	let ctime = time.toString(16);

	let data = {
		hextime: ctime,
		token: md5.hex_md5(time + ctime).toLowerCase()
	}
	return request({
		url: 'config.siteConfig',
		method: 'GET',
		data: data
	})
}

//支付配置
export function balanceConfig() {
	return request({
		url: 'user.balanceConfig',
		method: 'POST'
	})
}

//收藏
export function collect(data) {
	return request({
		url: 'video.collect',
		method: 'POST',
		data: data
	})
}

//学习时长
export function getMyLearnTime() {
	return request({
		url: 'home.getMyLearnTime',
		method: 'GET'
	})
}


//单页数据
export function getFields(data) {
	return request({
		url: 'basic.getFields',
		method: 'GET',
		data: data
	})
}