import request from '@/static/api/request.js';
import md5 from "@/static/utils/md5.js";

//用户名、手机登录
export function pwdLogin(data) {
	return request({
		url: 'passport.login',
		method: 'POST',
		data: data
	})
}

//注册
export function regist(data) {
	return request({
		url: 'passport.regist',
		method: 'POST',
		data: data
	})
}

//注册验证码
export function getRegphoneCode(data) {
	return request({
		url: 'passport.getRegphoneCode',
		method: 'POST',
		data: data
	})
}


//找回
export function getResetCode(data) {
	let time = parseInt(new Date().getTime() / 1000);
	let ctime = time.toString(16);

	data = Object.assign(data, {
		hextime: ctime,
		token: md5.hex_md5(time + ctime)
	})
	return request({
		url: 'sms.phoneGetPwd',
		method: 'POST',
		data: data
	}, false)
}

//重置密码
export function saveResetPwd(data) {
	return request({
		url: 'passport.savePwd',
		method: 'POST',
		data: data
	})
}

//小程序登录
export function xcxLogin(data) {
	return request({
		url: 'passport.xcxLogin',
		method: 'POST',
		data: data
	})
}

//手机号登录
export function phoneLogin(data) {
	return request({
		url: 'passport.phoneLogin',
		method: 'POST',
		data: data
	})
}