import request from '@/static/api/request.js';

//用户
export function getUserInfo() {
	return request({
		url: 'user.getInfo',
		method: 'GET'
	})
}

//修改密码
export function modifyPwd(data) {
	return request({
		url: 'passport.doModifyPassword',
		method: 'POST',
		data: data
	})
}

//注销账户
export function cancelAccount() {
	return request({
		url: 'passport.cancelAccount',
		method: "GET"
	})
}

//我的课程列表
export function getMyVideoList(data) {
	return request({
		url: 'video.getMyList',
		method: 'GET',
		data: data
	})
}

//我的直播列表
export function getMyLiveList(data) {
	return request({
		url: 'live.getMyList',
		method: 'GET',
		data: data
	})
}

//我的套餐列表
export function getMyAlbumList(data) {
	return request({
		url: 'album.getMyList',
		method: 'GET',
		data: data
	})
}

//学习记录列表
export function getUserRecord() {
	return request({
		url: 'user.getRecordList',
		method: 'GET'
	})
}

//我的问题列表
export function getWendaMyQuestionList(data) {
	return request({
		url: 'wenda.getMyQuestionList',
		method: 'GET',
		data: data
	})
}

//我的回答列表
export function getWendaMyAnswerList(data) {
	return request({
		url: 'wenda.getMyAnswerList',
		method: 'GET',
		data: data
	})
}

//收藏列表：1=点播,2=直播收藏
export function getVideoCollectList(data) {
	return request({
		url: 'video.getCollectList',
		method: 'GET',
		data: data
	})
}

//套餐收藏列表
export function getAlbumCollectList(data) {
	return request({
		url: 'album.getCollectList',
		method: 'GET',
		data: data
	})
}

//活动收藏列表
export function getActivityCollectList(data) {
	return request({
		url: 'activity.getCollectList',
		method: 'GET',
		data: data
	})
}

//提问列表
export function getQuestionList(data) {
	return request({
		url: 'user.getQuestionList',
		method: 'GET',
		data: data
	})
}

//优惠卷
export function getCouponList(data) {
	return request({
		url: 'coupon.getMyCouponList',
		method: 'POST',
		data: data
	})
}

//意见反馈
export function feedback(data) {
	return request({
		url: 'home.feedback',
		method: 'POST',
		data: data
	})
}

//我的订单列表
export function getGoodsOrderList(data) {
	return request({
		url: 'order.getGoodsOrderList',
		method: 'GET',
		data: data
	})
}

//活动订单列表
export function getActivityOrderList(data) {
	return request({
		url: 'order.getActivityOrderList',
		method: 'GET',
		data: data
	})
}


//邀请列表
export function getUserMember(data) {
	return request({
		url: 'user.member',
		method: 'GET',
		data: data
	})
}

//系统消息
export function getMessageSystem(data) {
	return request({
		url: 'message.system',
		method: 'GET',
		data: data
	})
}


//二维码
export function getQrCode() {
	return request({
		url: 'user.qrCode',
		method: 'GET',
	})
}


//套餐签订协议
export function albumSignAgreement(data) {
	return request({
		url: 'album.signAgreement',
		method: 'POST',
		data: data
	})
}

//套餐协议内容
export function albumAgree(data) {
	return request({
		url: 'album.albumAgree',
		method: 'GET',
		data: data
	})
}