import config from '@/static/config.js';
import {
	logoutStorageSync
} from '@/static/utils/tool.js';

const request = (params, auth = true) => {
	let oauthToken = (uni.getStorageSync('oauth_token') ? uni.getStorageSync('oauth_token') : '') + ':' +
		(uni.getStorageSync('oauth_token_secret') ? uni.getStorageSync('oauth_token_secret') : '');
	// oauthToken = '7bb3df6e479e5c916c0fc7741b2ce408:0544187097c96955e21236e12d632fb7';//测试
	let data = params.data || {};
	data.only_login_key = uni.getStorageSync('only_login_key') ? uni.getStorageSync('only_login_key') : '';

	let url,
		method = params.method,
		header = params.header || {
			'oauth-token': oauthToken,
			'notencrypt': true, //是否加密：true=不加密
			'Content-type': 'application/x-www-form-urlencoded; charset=UTF-8'
		},
		dataType = params.dataType || "json";

	// #ifdef H5
	if (process.env.NODE_ENV == 'development') { //开发
		url = 'api/';
	} else {
		url = config.BASE_URL;
	}
	// #endif
	// #ifndef H5
	url = config.BASE_URL;
	// #endif

	url = url + config.API_URL + params.url;

	return new Promise((resolve, reject) => {
		uni.request({
			url,
			method,
			header,
			data,
			dataType,
			success: res => {
				if (auth && res.data.data) {
					switch (res.statusCode) {
						case 401: //认证失败
							switch (res.data.data.error_code) {
								case 401:
									let routes = getCurrentPages();
									let curRoute = ''
									if (routes.length > 0) {
										let page = routes[routes.length - 1]

										if (!page.route.includes('login')) {
											let urlString = '';

											curRoute = encodeURIComponent('/' + page.route);
											// 拼接路由参数  
											for (let key in page.options) {
												if (page.options.hasOwnProperty(key)) {
													urlString += `${key}=${page.options[key]}&`;
												}
											}

											// 移除末尾多余的'&'字符  
											if (urlString.endsWith('&')) {
												curRoute += '?' + urlString.slice(0, -1);
											}
										}
									}
									logoutStorageSync()

									uni.navigateTo({
										url: '/pages/login/login?redirectUrl=' +
											curRoute
									})
									break;
								case 422: //单点登录
									logoutStorageSync()

									uni.showToast({
										icon: 'none',
										title: res.data.msg,
										duration: 2000
									});
									break;
								default:
									uni.navigateTo({
										url: '/pages/login/login'
									})
							}
						default:
							resolve(res.data);
					}
				} else {
					resolve(res.data);
				}
			},
			fail: (err) => {
				console.log(err);
				// reject(err);
			},
			// 请求完成
			complete: () => {}
		});
	})
}

export default request