const CCDownload = uni.requireNativePlugin('Bokecc-CcVodUniPlugin-CCDownload');

const {
	platform
} = uni.getSystemInfoSync();

import {
	getSid
} from '@/v_api/sid.js'

const Downloader = {
	getSid(data) {
		let _this = this;

		function _getSid(_data) {
			return function() {
				_this.getSid(_data)
			}
		}
		return getSid(data).then(res => {
			_this.setSdkSid(res.sdkSid)
			const getSidTimer = setTimeout(_getSid(data), res.expireSeconds * 1000)
		})
	},
	setSdkSid(sid) {
		console.log('setSdkSid', sid);
		try {
			CCDownload.setSdkSid(sid);
		} catch (e) {
			console.log(e);
		}
	},
	init(params) {
		console.log('downloader init', params);
		if (platform === 'android') {
			// 安卓获取离线视频路径
			CCDownload.getFilePath();
			if (!params.apiKey) {
				let data = {
					uid: params.userId
				}
				this.getSid(data).then(() => {
					CCDownload.init(params);
				}).catch(e => {
					console.log(e)
				})
			} else {
				CCDownload.init(params);
			}
		} else {
			CCDownload.initDownloadManager();
		}
	},
	start(params) {
		if (platform === 'ios') {
			if (!params.apiKey) {
				let data = {
					uid: params.userId
				}
				this.getSid(data).then(() => {
					CCDownload.startWithDownload(params);
				}).catch(e => {
					console.log(e)
				})
			} else {
				CCDownload.startWithDownload(params);
			}
		} else {
			CCDownload.startWithDownload(params);
		}
	},
	update() {
		CCDownload.update();
	},
	pause(params) {
		console.log('downloader pause')
		try {
			CCDownload.setDownloadPause(params)
		} catch (e) {
			console.log('pause error:', e);
		}
	},
	resume(params) {
		console.log('downloader resume')
		try {
			CCDownload.setDownloadResume(params)
		} catch (e) {
			console.log('resume error:', e);
		}
	},
	delete(params) {
		try {
			CCDownload.setDownloadDelete(params);
			console.log('删除成功');
		} catch (e) {
			console.log('delete error:', e);
		}
	},
	finishedDelete(params) {
		try {
			CCDownload.setDownloadFinishedDelete(params);
			console.log('安卓已下载视频删除成功');
		} catch (e) {
			console.log('delete error:', e);
		}
	}
}

export default Downloader;